<?php

session_start();

if (!empty($_SESSION["deploymentId"])) {

    echo"<script>var checkUrlFlag = 0;</script>";

    $ip = $_SERVER['SERVER_ADDR'];
    echo"<script>var ip = '".$ip."';</script>";

    $durl = $_SESSION["deploymentUrl"];
    echo"<script>var durl = '".$durl."';</script>";

    $page = "control";

    $action = "";
    $error = "";
    $vmid = "";

    $action = $_GET["action"];
    $error = $_GET["error"];
    $vmid = $_GET["vmid"];

    $durl = $_SESSION["deploymentUrl"];

    echo"<script>var vmid = '".$vmid."';</script>";

    include "include/strings.php";
    include "include/functions.php";
    include "include/head.php";
    include "include/body.php";

    // START: Adding the unique content for the page -->

    if ($action == "start") {

        exec("./qnwrapper startvm ".$vmid." -type headless  2>&1", $output, $return_var);
        if ($return_var == 1) {
            // Add error log for start vm
            addLog("ERROR", "Start VM", $_SESSION["deploymentId"], NULL, $_SESSION["deploymentUrl"], $vmid, $output);
            // Error stopping vm -> redirect
            echo "<script>window.open('?action=standby&error=start&vmid=".$vmid."', '_self');</script> ";
        } else {
            echo "<button type='button' id='buttonStop' class='spaceRight'>$buttonStop</button>";
            // Add success log for start vm
            addLog("SUCCESS", "Start VM", $_SESSION["deploymentId"], NULL, $_SESSION["deploymentUrl"], $vmid, $output);
        }

    } else if ($action == "stop") {

        exec("./qnwrapper controlvm ".$vmid." poweroff 2>&1", $output, $return_var);
        if ($return_var == 1) {
            // Add error log for stop vm
            addLog("ERROR", "Stop VM", $_SESSION["deploymentId"], NULL, $_SESSION["deploymentUrl"], $vmid, $output);
            // Error stopping vm -> redirect
            echo "<script>window.open('?action=standby&error=stop&vmid=".$vmid."', '_self');</script> ";
        } else {
            echo "<button type='button' id='buttonStart' class='spaceRight'>$buttonStart</button>";
            // Add success log for stop vm
            addLog("SUCCESS", "Stop VM", $_SESSION["deploymentId"], NULL, $_SESSION["deploymentUrl"], $vmid, $output);
        }

    } else if ($action == "standby") {

        // check if the VM is running -> return empty $output if it's not running
        exec("./qnwrapper list  runningvms | grep -w \"".$vmid."\"", $output, $return_var);

        if (empty($output)) {
            $running = 0;
            if (empty($error)) {
                echo"<p class='contentText'>$statusStop</p>";
                echo "<button type='button' id='buttonStart' class='spaceRight'>$buttonStart</button>";
            }
        } else {
            $running = 1;
            if (empty($error)) {
                echo"<p class='contentText'>$statusStart</p>";
                echo "<button type='button' id='buttonStop' class='spaceRight'>$buttonStop</button>";
            }
        }

        if ($error == "start") {
            echo "<button type='button' id='buttonStop' class='spaceRight'>$buttonStop</button>";
        } else if ($error == "stop") {
            echo "<button type='button' id='buttonStart' class='spaceRight'>$buttonStart</button>";
        }


    }


    echo "<br/><br/><br/>";

    echo "<button id='buttonOpenSA' class='right spaceLeft' type='button' disabled>$buttonOpenSA</button>";

    echo "<button id='buttonOpen' class='right spaceLeft' type='button' disabled>$buttonOpen</button>";

    // Raise flag for checking the buttons urls if they are valid
    if ($action == "start" || ($action == "standby" && $running == 1) || ($action == "standby" && $error == "start")) {
        echo"<script>checkUrlFlag = 1;</script>";
    }


    echo "<button id='buttonConfigure' class='right spaceLeft' type='button' ";
    if ($action == "stop" || ($action == "standby" && $running == 0)) echo "disabled";
    echo ">$buttonConfigure</button>";

    echo"<a id='buttonHelp' class='button left' href='".$helpUrl."' target='_blank'>$buttonHelp</a>";

    // END: Adding the unique content for the page -->

    include "include/footer.php";

} else {

    // redirect to adding a deployment validation page
    echo "<script>window.open('adding-a-deployment.php', '_self');</script> ";

}

?>