<?php

$filename = "FileFlex_Server_Latest";
$vmidfile = "vmid.txt";

$port = "3389";

// install variables url and path
$downloadUser = "developer";
$downloadPass = "zeiv6Zoa";
$url  = "https://res.fileflex.com/asustor/".$filename.".ova"; // Full VM version for production
$path = "downloads/".$filename.".tmp";
$pathOva = "downloads/".$filename.".ova";

$helpUrl = "http://res.fileflex.com/docs/asustor/asustor_stub_help.pdf";

$buttonHelp = "Help";
$buttonRegister = "Register for an Account";
$buttonNext = "Next";
$buttonBack = "Back";
$buttonDownload = "Download";
$buttonValidate = "Validate";
$deploymentID = "Deployment ID";
$deploymentKey = "Deployment Key";

$buttonStart = "Start";
$buttonStop = "Shut Down";

$buttonStart = "Start";
$buttonStop = "Stop";
$buttonStart = "Start";
$buttonConfigure = "Configure FileFlex";
$buttonOpen = "Open FileFlex";
$buttonOpenSA = "Open Server Admin";

$messageDownloading = "Downloading ".$filename.".ova...";
$messageInstalling = "Installing ".$filename.".ova...";
$messageInstallingProgress = "Installing... Please wait...";
$messageInstallingError = "Failed to install.";
$messageEnablingRdpError = "Failed to enable the remote desktop on the VM";
$messageInstallingErrorCantExecute = "Could not execute command";
$messageInstallationComplete = "Installation completed.";

$statusValidationError = "Error: Not Validated";
$statusValidationSuccess = "Success: Validated";

$statusStop = "<span class='vmStop'></span> FileFlex Enterprise is stopped. It will not be started when the device reboots.";
$statusStart = "<span class='vmStart'></span> FileFlex Enterprise virtual machine is running. It will start when the device reboots.";

// Common strings per page
switch ($page) {
    case "index":
        $title = "FileFlex Asustor Enterprise Installation";
        $headText = "Welcome to FileFlex Enterprise";
        $contentText = "The first step in configuring your FileFlex Enterprise deployment is to apply for an account after filling out the partner application form. If you already have an account or if you are reconfiguring an existing server, you can skip this step.";
        break;
    case "adding-a-deployment":
        $title = "FileFlex Asustor Enterprise Installation";
        $headText = "Adding a Deployment";
        $contentText = "Once you receive your account credentials to the Enterprise portal the next step is to add a deployment. You will receive a deployment ID and key which you must validate now.";
        break;
    case "verifying-a-deployment":
        $title = "FileFlex Asustor Enterprise Installation";
        $headText = "Verifying a Deployment";
        $contentText = "Enter your account credentials to verify your deployment. You have received a deployment ID and key which you must enter now.";
        break;
    case "download-and-install":
        $title = "FileFlex Asustor Enterprise Installation";
        $headText = "Download and Install";
        if ($action != "downloaded") {
            $contentText = "The final step is to download and deploy the installation image.";
        } else {
            $contentText = "There is already downloaded installation. Click <b>Next</b> to install or <b>Download</b> a new one.";
        }
        break;
    case "control":
        $title = "FileFlex Asustor Enterprise";
        $headText = "FileFlex Enterprise Status";

        if ($action == "standby") {
            $contentText = "";

            if ($error == "stop") {
                $statusStop = "<span class='vmError'></span> Error: Unsuccessful stopping.";
            } else if ($error == "start") {
                $statusStart = "<span class='vmError'></span> Error: Unsuccessful starting.";
            }
        }
        break;
    case "configure":
        $title = "Configure FileFlex Enterprise";
        $headText = "Configure FileFlex Enterprise";
        $contentText = "In order to configure FileFlex Enterprise, you must open a remote desktop connection to your virtual machine using the following settings:";
        $contentText1 = "Computer (IP):";
        $contentText2 = "Port:";
        break;
}



?>