var intervalCheckUrl = 3000;

function checkUrl(durl, disabledElement, cnt) {
    $.ajax({
        method: "POST",
        url: 'check-url.php',
        data:{
            durl: durl,
            cnt: cnt
        },
        dataType: 'json',
        success: function(data) {
            if (data.url == "valid") {
                disabledElement.removeAttribute("disabled");
            } else {
                // Check not more than 120 seconds
                if (data.cnt < 40)
                    setTimeout(function() {
                        checkUrl(durl, disabledElement, data.cnt);
                    }, intervalCheckUrl);
            }
        },
        error: function () {

        }
    });

}

$(document).ready(function() {

    var buttonStart = document.getElementById("buttonStart");
    var buttonStop = document.getElementById("buttonStop");
    var buttonConfigure = document.getElementById("buttonConfigure");
    var buttonOpen = document.getElementById("buttonOpen");
    var buttonOpenSA = document.getElementById("buttonOpenSA");

    if (buttonStart) {
        buttonStart.addEventListener("click", function() {
            buttonStart.setAttribute("disabled", "disabled");
            openUrlStart = "?action=start&vmid=" + vmid;
            window.open(openUrlStart, "_self");
        });
    }

    if (buttonStop) {
        buttonStop.addEventListener("click", function () {
            buttonStop.setAttribute("disabled", "disabled");
            openUrlStop = "?action=stop&vmid=" + vmid;
            window.open(openUrlStop, "_self");
        });
    }

    if (buttonConfigure) {
        buttonConfigure.addEventListener("click", function () {
            window.open("configure.php");
        });
    }

    if (buttonOpen) {
        buttonOpen.addEventListener("click", function () {
            window.open(durl);
        });
    }

    if (buttonOpenSA) {
        buttonOpenSA.addEventListener("click", function () {
            window.open(durl + ":9443");
        });
    }


    // Start checking the urls for buttons "Open FileFlex" and "Open FileFlex SA" if they are valid (not 404)
        if (checkUrlFlag == 1) {
        checkUrl(durl, buttonOpen, 0);
        checkUrl(durl + ":9443", buttonOpenSA, 0);
    }

});


