<?php

    $page="index";
    include "include/strings.php";
    include "include/functions.php";


    // Get VM id if it's installed (if not will return false)
    $vmid = isInstalled();

    // Check if we have session (already validated)
    session_start();
    if (!empty($_SESSION["deploymentId"])) {

        // Get next stage (depending of if we have downloaded installation (case 1), installed VM (case 2) or none of these two (case 0))
        $nextStage = getStage();

        switch ($nextStage) {
            case "0": echo"<script>window.open('download-and-install.php', '_self');</script>;"; break;
            case "1": echo"<script>window.open('download-and-install.php?action=downloaded', '_self');</script>;"; break;
            case "2": echo"<script>window.open('control.php?action=standby&vmid=".$vmid."', '_self');</script>;"; break;
        }

    } else {

        // if there is VM already installed - go to verify a deployment (not add a deployment)
        if ($vmid != false) {
            echo "<script>window.open('verifying-a-deployment.php', '_self');</script>";
        }

        include "include/head.php";
        include "include/body.php";

        // START: Adding the unique content for the page -->
        echo"<a class='button' href='https://enport.fileflex.com/login/?login=false#register-form' target='_blank'>$buttonRegister</a>";
        echo"<br/><br/>";
        echo"<a class='button left' href='".$helpUrl."' target='_blank'>$buttonHelp</a>";
        echo"<a class='button right' href='adding-a-deployment.php'>$buttonNext</a>";
        // END: Adding the unique content for the page -->

        include "include/footer.php";

    }

?>