var interval = 2000;
function startDownload() {
    $.ajax({
        url: 'download.php',
        dataType: 'json',
        success: function(data) {
            var getProgress = getProgressWrap(data.fullsize);
            setTimeout(getProgress, interval);
        },
        error: function () {

        }
    });
}

function getProgressWrap(fullsize) {
   return function getProgress() {
       $.ajax({
           url: 'progress.php',
           dataType: 'json',
           success: function(data) {
               var progress = data.progress;

               var progressPercent = progress / fullsize  * 100;
               var progressPercentRnd = Math.round(progressPercent);

               document.getElementById('progressNumber').innerHTML = progressPercentRnd + "%";
               document.getElementById('progressContent').style.width = progressPercent + "%";

               if (progressPercent == 100) {
                   // redirect to complete page
                   window.open('?action=install', '_self');
               } else {
                   setTimeout(getProgress, interval);
               }
           },
           error: function () {
           }
       })
   }
}



$(document).ready(function () {

    document.getElementById("buttonDownload").addEventListener("click", function () {
        document.getElementById("buttonDownload").setAttribute("disabled", "disabled");
        document.getElementById("buttonNext").setAttribute("disabled", "disabled");
        document.getElementById("messageDownloading").style.display = "inline-block";
        startDownload();
    });

    document.getElementById("buttonNext").addEventListener("click", function () {
        if (vmid != 0) {
            openUrl = "control.php?action=standby&vmid=" + vmid;
        } else {
            openUrl = "download-and-install.php?action=install";
        }
        window.open(openUrl, "_self");
    });

});


